package cn.wisenergy.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author 86187
 */
@Data
@ApiModel(value = "UserVo")
public class UserVo {
    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id", name = "userId")
    private Long userId;

    /**
     * 父id
     */
    @ApiModelProperty(value = "父id", name = "parentId")
    private Integer parentId;

    /**
     * 用户真实名字
     */
    @ApiModelProperty(value = "用户真实名字", name = "realName")
    private String realName;

    @ApiModelProperty(value = "子节点数据", name = "childrens")
    List<UserVo> children;

}
